=== debian/changelog ===
mongodb (1:2.2.4-0ubuntu1) raring; urgency=low

  * New upstream final bugfix release.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2013 14:42:54 +0100
