=== debian/control ===
Source: mongodb
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>, Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.73~), libpcre3, libpcre3-dev, scons, libreadline-dev, libboost-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-date-time-dev, python-pymongo, libsnappy-dev, libgoogle-perftools-dev [amd64 i386], libssl-dev
Standards-Version: 3.9.3
Vcs-Git: git://github.com/bobek/mongo-debian.git
Vcs-Browser: https://github.com/bobek/mongo-debian
Homepage: http://www.mongodb.org

Package: mongodb
Architecture: i386 amd64 armhf
Depends: mongodb-server, mongodb-dev, ${shlibs:Depends}, ${misc:Depends}
Description: object/document-oriented database (metapackage)
 MongoDB is a high-performance, open source, schema-free
 document-oriented  data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features :
 .
    * Collection oriented storage - easy storage of object-
      style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large
      objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This is a metapackage that depends on all the mongodb parts.

Package: mongodb-server
Architecture: i386 amd64 armhf
Depends: mongodb-clients, ${shlibs:Depends}, ${misc:Depends}, adduser
Replaces: mongodb (<= 1:1.4.2-2)
Description: object/document-oriented database (server package)
 MongoDB is a high-performance, open source, schema-free
 document-oriented  data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features :
 .
    * Collection oriented storage - easy storage of object-
      style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large
      objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package contains the server itself.

Package: mongodb-clients
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mongodb (<= 1:1.4.2-2)
Description: object/document-oriented database (client apps)
 MongoDB is a high-performance, open source, schema-free
 document-oriented  data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features :
 .
    * Collection oriented storage - easy storage of object-
      style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large
      objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package contains the various client applications.

Package: mongodb-dev
Section: libdevel
Architecture: i386 amd64 armhf
Depends: libboost-dev, ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Replaces: mongodb (<= 1:1.4.2-2)
Description: object/document-oriented database (development)
 MongoDB is a high-performance, open source, schema-free
 document-oriented  data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features :
 .
    * Collection oriented storage - easy storage of object-
      style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large
      objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 Development headers and libraries.
