## mongodb 2.4.3

=== SConstruct ===
--- 
+++ 
@@ -14,7 +14,6 @@
 # several, subordinate SConscript files, which describe specific build rules.
 
 import buildscripts
-import buildscripts.bb
 import datetime
 import imp
 import os
@@ -39,17 +38,6 @@
 
 DEFAULT_INSTALL_DIR = "/usr/local"
 
-def _rpartition(string, sep):
-    """A replacement for str.rpartition which is missing in Python < 2.5
-    """
-    idx = string.rfind(sep)
-    if idx == -1:
-        return '', '', string
-    return string[:idx], sep, string[idx + 1:]
-
-
-
-buildscripts.bb.checkOk()
 
 def findSettingsSetup():
     sys.path.append( "." )
@@ -129,7 +117,7 @@
             a.append( name )
         else:
             x = get_option( name )
-            x = re.sub( "[,\\\\/]" , "_" , x )
+            x = re.sub( "[:,\\\\/]" , "_" , x )
             a.append( name + "_" + x )
             
     s = "#build/${PYSYSPLATFORM}/"
@@ -155,7 +143,8 @@
 
 # linking options
 add_option( "release" , "release build" , 0 , True )
-add_option( "static" , "fully static build" , 0 , True )
+add_option( "static" , "fully static build" , 0 , False )
+add_option( "static-libstdc++" , "statically link libstdc++" , 0 , False )
 
 # base compile flags
 add_option( "64" , "whether to force 64 bit" , 0 , True , "force64" )
@@ -163,6 +152,7 @@
 
 add_option( "cxx", "compiler to use" , 1 , True )
 add_option( "cc", "compiler to use for c" , 1 , True )
+add_option( "ld", "linker to use" , 1 , True )
 
 add_option( "cpppath", "Include path if you have headers in a nonstandard directory" , 1 , True )
 add_option( "libpath", "Library path if you have libraries in a nonstandard directory" , 1 , True )
@@ -201,10 +191,14 @@
 add_option( "clang" , "use clang++ rather than g++ (experimental)" , 0 , True )
 
 # debugging/profiling help
-
+if os.sys.platform.startswith("linux") and (os.uname()[-1] == 'x86_64'):
+    defaultAllocator = 'tcmalloc'
+elif (os.sys.platform == "darwin") and (os.uname()[-1] == 'x86_64'):
+    defaultAllocator = 'tcmalloc'
+else:
+    defaultAllocator = 'system'
 add_option( "allocator" , "allocator to use (tcmalloc or system)" , 1 , True,
-            default=((sys.platform.startswith('linux') and (os.uname()[-1] == 'x86_64')) and
-                     'tcmalloc' or 'system') )
+            default=defaultAllocator )
 add_option( "gdbserver" , "build in gdb server support" , 0 , True )
 add_option( "heapcheck", "link to heap-checking malloc-lib and look for memory leaks during tests" , 0 , False )
 add_option( "gcov" , "compile with flags for gcov" , 0 , True )
@@ -212,6 +206,8 @@
 add_option("smokedbprefix", "prefix to dbpath et al. for smoke tests", 1 , False )
 add_option("smokeauth", "run smoke tests with --auth", 0 , False )
 
+add_option("use-sasl-client", "Support SASL authentication in the client library", 0, False)
+
 add_option( "use-system-tcmalloc", "use system version of tcmalloc library", 0, True )
 
 add_option( "use-system-pcre", "use system version of pcre library", 0, True )
@@ -221,12 +217,13 @@
 add_option( "use-system-snappy", "use system version of snappy library", 0, True )
 
 add_option( "use-system-sm", "use system version of spidermonkey library", 0, True )
+add_option( "use-system-v8", "use system version of v8 library", 0, True )
 
 add_option( "use-system-all" , "use all system libraries", 0 , True )
 
 add_option( "use-cpu-profiler",
             "Link against the google-perftools profiler library",
-            0, True )
+            0, False )
 
 add_option("mongod-concurrency-level", "Concurrency level, \"global\" or \"db\"", 1, True,
            type="choice", choices=["global", "db"])
@@ -295,6 +292,10 @@
                    DIST_ARCHIVE_SUFFIX='.tgz',
                    EXTRAPATH=get_option("extrapath"),
                    MODULE_BANNERS=[],
+                   MODULE_LIBDEPS_MONGOD=[],
+                   MODULE_LIBDEPS_MONGOS=[],
+                   MODULE_LIBDEPS_MONGOSHELL=[],
+                   MODULETEST_ALIAS='moduletests',
                    MODULETEST_LIST='#build/moduletests.txt',
                    MSVS_ARCH=msarch ,
                    PYTHON=utils.find_python(),
@@ -343,13 +344,7 @@
 if has_option( "cc" ):
     env["CC"] = get_option( "cc" )
 
+if has_option( "ld" ):
+    env["LINK"] = get_option( "ld" )
+
 if env['PYSYSPLATFORM'] in ('linux2', 'freebsd'):
-    env['LINK_LIBGROUP_START'] = '-Wl,--start-group'
-    env['LINK_LIBGROUP_END'] = '-Wl,--end-group'
-    env['RELOBJ_LIBDEPS_START'] = '--whole-archive'
-    env['RELOBJ_LIBDEPS_END'] = '--no-whole-archive'
-    env['RELOBJ_LIBDEPS_ITEM'] = ''
-elif env['PYSYSPLATFORM'] == 'darwin':
-    env['RELOBJFLAGS'] = [ '-arch', '$PROCESSOR_ARCHITECTURE' ]
-    env['LINK_LIBGROUP_START'] = ''
-    env['LINK_LIBGROUP_END'] = ''
