## mongodb 2.4.5

=== SConstruct ===
--- 
+++ 
@@ -311,40 +311,21 @@
                    CONFIGURELOG = '#' + scons_data_dir + '/config.log'
                    )
 
+# This could be 'if solaris', but unfortuantely that variable hasn't been set yet.
+if "sunos5" == os.sys.platform:
+    # SERVER-9890: On Solaris, SCons preferentially loads the sun linker tool 'sunlink' when
+    # using the 'default' tools as we do above. The sunlink tool sets -G as the flag for
+    # creating a shared library. But we don't want that, since we always drive our link step
+    # through CC or CXX. Instead, we want to let the compiler map GCC's '-shared' flag to the
+    # appropriate linker specs that it has compiled in. We could (and should in the future)
+    # select an empty set of tools above and then enable them as appropriate on a per platform
+    # basis. Until then the simplest solution, as discussed on the scons-users mailing list,
+    # appears to be to simply explicitly run the 'gnulink' tool to overwrite the Environment
+    # changes made by 'sunlink'. See the following thread for more detail:
+    #  http://four.pairlist.net/pipermail/scons-users/2013-June/001486.html
+    env.Tool('gnulink')
+
+
 env['_LIBDEPS'] = '$_LIBDEPS_OBJS'
 
 if has_option('mute'):
-    env.Append( CCCOMSTR = "Compiling $TARGET" )
-    env.Append( CXXCOMSTR = env["CCCOMSTR"] )
-    env.Append( LINKCOMSTR = "Linking $TARGET" )
-    env.Append( ARCOMSTR = "Generating library $TARGET" )
-
-if has_option('mongod-concurrency-level'):
-    env.Append(CPPDEFINES=['MONGOD_CONCURRENCY_LEVEL=MONGOD_CONCURRENCY_LEVEL_%s' % get_option('mongod-concurrency-level').upper()])
-
-libdeps.setup_environment( env )
-
-if env['PYSYSPLATFORM'] == 'linux3':
-    env['PYSYSPLATFORM'] = 'linux2'
-if 'freebsd' in env['PYSYSPLATFORM']:
-    env['PYSYSPLATFORM'] = 'freebsd'
-
-if os.sys.platform == 'win32':
-    env['OS_FAMILY'] = 'win'
-else:
-    env['OS_FAMILY'] = 'posix'
-
-if has_option( "cxx" ):
-    env["CC"] = get_option( "cxx" )
-    env["CXX"] = get_option( "cxx" )
-elif has_option("clang"):
-    env["CC"] = 'clang'
-    env["CXX"] = 'clang++'
-
-if has_option( "cc" ):
-    env["CC"] = get_option( "cc" )
-
-if has_option( "ld" ):
-    env["LINK"] = get_option( "ld" )
-
-if env['PYSYSPLATFORM'] in ('linux2', 'freebsd'):
