## mongodb 2.4.6

=== debian/changelog ===
mongodb (1:2.4.6-0ubuntu3) saucy; urgency=low

  * debian/*: Drop upstream debian changes accidentally merged in
    1:2.4.6-0ubuntu1. 

 -- James Page <james.page@ubuntu.com>  Tue, 27 Aug 2013 15:40:16 +0100

mongodb (1:2.4.6-0ubuntu2) saucy; urgency=low

  * remove debian/mongodb.upstart (LP: #1217051) 

 -- Stephan Adig <sh@sourcecode.de>  Mon, 26 Aug 2013 20:55:28 +0200

mongodb (1:2.4.6-0ubuntu1) saucy; urgency=low

  * New upstream point release.
  * d/control,d/tests/*: Add autopkgtests for server process and client
    shell functionality.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Aug 2013 09:41:32 +0100
