=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
 Vcs-Git: git://github.com/bobek/mongo-debian.git
 Vcs-Browser: https://github.com/bobek/mongo-debian
 Homepage: http://www.mongodb.org
+XS-Testsuite: autopkgtest
 
 Package: mongodb
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf
