=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/scons.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_INSTALLINIT_ARGS = --name=mongodb

DEB_SCONS_OPTIONS :=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEB_SCONS_OPTIONS := --d=DEBUGBUILD
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEB_SCONS_OPTIONS := --d=DEBUGBUILD
endif
ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
       PROCS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       DEB_SCONS_OPTIONS += -j$(PROCS)
endif

# Ubuntu specific build options
ifeq ($(shell dpkg-vendor --derives-from ubuntu && echo ubuntu),ubuntu)
# Don't strip binaries - this is handled automatically in ubuntu
DEB_SCONS_OPTIONS += --nostrip
# Enable SSL support
DEB_SCONS_OPTIONS += --ssl
endif #ubuntu

COMMON_OPTIONS = --use-system-snappy --use-system-tcmalloc --use-system-pcre --use-system-boost

ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),armhf)
COMMON_OPTIONS += --use-system-v8
endif

DEB_SCONS_BUILD_TARGET = all
DEB_SCONS_BUILD_OPTIONS = $(COMMON_OPTIONS)
DEB_SCONS_INSTALL_OPTIONS += --prefix=$(CURDIR)/debian/tmp/usr --full $(COMMON_OPTIONS)
DEB_SCONS_CHECK_TARGET = --smokedbprefix=$(CURDIR)/debian/tmp-test smoke $(COMMON_OPTIONS)

clean::
	find . -name "*.pyc" -delete
	rm -f buildinfo.cpp
	rm -rf debian/tmp-test
	rm -rf .scons
	rm -rf build
