=== debian/tests/control ===
Tests: mongod mongo-client
Depends: mongodb-server, mongodb-clients, nmap
